io.stdout:setvbuf("no")

local Game = require 'game'

function love.load()
	-- for debugging w/ ZBS
	if arg[#arg] == "-debug" then require("mobdebug").start() end
	
	Game:init()
end

function love.update(dt)
	Game:update(dt)
end

function love.draw()
	Game:draw()
end

function love.keypressed(key)
    if key == 'escape' then
        love.event.quit()
    end
end

